# std::experimental::observer_ptr<W>::operator bool

From cppreference.com
< cpp‎ | experimental‎ | observer ptr

constexpr explicit operator bool() const noexcept; |  | (library fundamentals TS v2)

Checks whether *this has an associated watched object, i.e. whether get() != nullptr.

### Parameters

(none)

### Return value

true if *this has an associated watched object, false otherwise.

### Example

| This section is incomplete Reason: no example

### See also

get | returns a pointer to the watched object (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/experimental/observer_ptr/operator_bool&oldid=98266"